summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorwxiaoguang <wxiaoguang@gmail.com>2021-11-19 13:58:34 +0800
committerGitHub <noreply@github.com>2021-11-19 13:58:34 +0800
commite4b95de38856fac845c21348971e3c5343ceac15 (patch)
tree5702fc5ab5659f7fc48a66dd5e5f8e013df00c41 /build
parent9361b65f542671457ed09c35ddde9d09ee06d136 (diff)
downloadgitea-e4b95de38856fac845c21348971e3c5343ceac15.tar.gz
gitea-e4b95de38856fac845c21348971e3c5343ceac15.zip
Prepare and check test env during CI (#17725)
This PR should resolve the permission problems during CI, if the uid doesn't match, a more clear message is shown. * CI fails with unknown permission problems #17710 The new drone step dependencies: (root)prepare-test-env -> (gitea)build -> (gitea)test
Diffstat (limited to 'build')
-rwxr-xr-xbuild/test-env-check.sh24
-rwxr-xr-xbuild/test-env-prepare.sh11
2 files changed, 35 insertions, 0 deletions
diff --git a/build/test-env-check.sh b/build/test-env-check.sh
new file mode 100755
index 0000000000..38e5a28823
--- /dev/null
+++ b/build/test-env-check.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f ./build/test-env-check.sh ]; then
+ echo "${0} can only be executed in gitea source root directory"
+ exit 1
+fi
+
+
+echo "check uid ..."
+
+# the uid of gitea defined in "https://gitea.com/gitea/test-env" is 1000
+gitea_uid=$(id -u gitea)
+if [ "$gitea_uid" != "1000" ]; then
+ echo "The uid of linux user 'gitea' is expected to be 1000, but it is $gitea_uid"
+ exit 1
+fi
+
+cur_uid=$(id -u)
+if [ "$cur_uid" != "0" -a "$cur_uid" != "$gitea_uid" ]; then
+ echo "The uid of current linux user is expected to be 0 or $gitea_uid, but it is $cur_uid"
+ exit 1
+fi
diff --git a/build/test-env-prepare.sh b/build/test-env-prepare.sh
new file mode 100755
index 0000000000..0c5bc25f11
--- /dev/null
+++ b/build/test-env-prepare.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f ./build/test-env-prepare.sh ]; then
+ echo "${0} can only be executed in gitea source root directory"
+ exit 1
+fi
+
+echo "change the owner of files to gitea ..."
+chown -R gitea:gitea .